## idmef-additional-data

idmef-additional-data —

## Synopsis

    int         idmef_additional_data_new_real  (idmef_additional_data_t **ret,
                                                 float data);
    int         idmef_additional_data_new_byte  (idmef_additional_data_t **ret,
                                                 uint8_t byte);
    int         idmef_additional_data_new_integer
                                                (idmef_additional_data_t **ret,
                                                 uint32_t data);
    int         idmef_additional_data_new_boolean
                                                (idmef_additional_data_t **ret,
                                                 prelude_bool_t data);
    int         idmef_additional_data_new_character
                                                (idmef_additional_data_t **ret,
                                                 char data);
    void        idmef_additional_data_set_real  (idmef_additional_data_t *ptr,
                                                 float data);
    void        idmef_additional_data_set_byte  (idmef_additional_data_t *ptr,
                                                 uint8_t byte);
    void        idmef_additional_data_set_integer
                                                (idmef_additional_data_t *ptr,
                                                 uint32_t data);
    void        idmef_additional_data_set_boolean
                                                (idmef_additional_data_t *ptr,
                                                 prelude_bool_t data);
    void        idmef_additional_data_set_character
                                                (idmef_additional_data_t *ptr,
                                                 char data);
    int         idmef_additional_data_new_byte_string_ref
                                                (idmef_additional_data_t **ad,
                                                 unsigned char *data,
                                                 size_t len);
    int         idmef_additional_data_set_byte_string_ref
                                                (idmef_additional_data_t *ad,
                                                 unsigned char *data,
                                                 size_t len);
    int         idmef_additional_data_new_byte_string_dup
                                                (idmef_additional_data_t **ad,
                                                 unsigned char *data,
                                                 size_t len);
    int         idmef_additional_data_set_byte_string_dup
                                                (idmef_additional_data_t *ad,
                                                 unsigned char *data,
                                                 size_t len);
    int         idmef_additional_data_new_byte_string_nodup
                                                (idmef_additional_data_t **ad,
                                                 unsigned char *data,
                                                 size_t len);
    int         idmef_additional_data_set_byte_string_nodup
                                                (idmef_additional_data_t *ad,
                                                 unsigned char *data,
                                                 size_t len);
    int         idmef_additional_data_copy_ref  (idmef_additional_data_t *src,
                                                 idmef_additional_data_t *dst);
    int         idmef_additional_data_copy_dup  (idmef_additional_data_t *src,
                                                 idmef_additional_data_t *dst);
    float       idmef_additional_data_get_real  (idmef_additional_data_t *data);
    uint32_t    idmef_additional_data_get_integer
                                                (idmef_additional_data_t *data);
    prelude_bool_t idmef_additional_data_get_boolean
                                                (idmef_additional_data_t *data);
    char        idmef_additional_data_get_character
                                                (idmef_additional_data_t *data);
    uint8_t     idmef_additional_data_get_byte  (idmef_additional_data_t *data);
    size_t      idmef_additional_data_get_len   (idmef_additional_data_t *data);
    prelude_bool_t idmef_additional_data_is_empty
                                                (idmef_additional_data_t *data);
    int         idmef_additional_data_data_to_string
                                                (idmef_additional_data_t *ad,
                                                 prelude_string_t *out);

## Description

## Details

### idmef_additional_data_new_real ()

    int         idmef_additional_data_new_real  (idmef_additional_data_t **ret,
                                                 float data);

`ret` : |
`data` : |
Returns : |

### idmef_additional_data_new_byte ()

    int         idmef_additional_data_new_byte  (idmef_additional_data_t **ret,
                                                 uint8_t byte);

`ret` : |
`byte` : |
Returns : |

### idmef_additional_data_new_integer ()

    int         idmef_additional_data_new_integer
                                                (idmef_additional_data_t **ret,
                                                 uint32_t data);

`ret` : |
`data` : |
Returns : |

### idmef_additional_data_new_boolean ()

    int         idmef_additional_data_new_boolean
                                                (idmef_additional_data_t **ret,
                                                 prelude_bool_t data);

`ret` : |
`data` : |
Returns : |

### idmef_additional_data_new_character ()

    int         idmef_additional_data_new_character
                                                (idmef_additional_data_t **ret,
                                                 char data);

`ret` : |
`data` : |
Returns : |

### idmef_additional_data_set_real ()

    void        idmef_additional_data_set_real  (idmef_additional_data_t *ptr,
                                                 float data);

`ptr` : |
`data` : |

### idmef_additional_data_set_byte ()

    void        idmef_additional_data_set_byte  (idmef_additional_data_t *ptr,
                                                 uint8_t byte);

`ptr` : |
`byte` : |

### idmef_additional_data_set_integer ()

    void        idmef_additional_data_set_integer
                                                (idmef_additional_data_t *ptr,
                                                 uint32_t data);

`ptr` : |
`data` : |

### idmef_additional_data_set_boolean ()

    void        idmef_additional_data_set_boolean
                                                (idmef_additional_data_t *ptr,
                                                 prelude_bool_t data);

`ptr` : |
`data` : |

### idmef_additional_data_set_character ()

    void        idmef_additional_data_set_character
                                                (idmef_additional_data_t *ptr,
                                                 char data);

`ptr` : |
`data` : |

### idmef_additional_data_new_byte_string_ref ()

    int         idmef_additional_data_new_byte_string_ref
                                                (idmef_additional_data_t **ad,
                                                 unsigned char *data,
                                                 size_t len);

`ad` : |
`data` : |
`len` : |
Returns : |

### idmef_additional_data_set_byte_string_ref ()

    int         idmef_additional_data_set_byte_string_ref
                                                (idmef_additional_data_t *ad,
                                                 unsigned char *data,
                                                 size_t len);

`ad` : |
`data` : |
`len` : |
Returns : |

### idmef_additional_data_new_byte_string_dup ()

    int         idmef_additional_data_new_byte_string_dup
                                                (idmef_additional_data_t **ad,
                                                 unsigned char *data,
                                                 size_t len);

`ad` : |
`data` : |
`len` : |
Returns : |

### idmef_additional_data_set_byte_string_dup ()

    int         idmef_additional_data_set_byte_string_dup
                                                (idmef_additional_data_t *ad,
                                                 unsigned char *data,
                                                 size_t len);

`ad` : |
`data` : |
`len` : |
Returns : |

### idmef_additional_data_new_byte_string_nodup ()

    int         idmef_additional_data_new_byte_string_nodup
                                                (idmef_additional_data_t **ad,
                                                 unsigned char *data,
                                                 size_t len);

`ad` : |
`data` : |
`len` : |
Returns : |

### idmef_additional_data_set_byte_string_nodup ()

    int         idmef_additional_data_set_byte_string_nodup
                                                (idmef_additional_data_t *ad,
                                                 unsigned char *data,
                                                 size_t len);

`ad` : |
`data` : |
`len` : |
Returns : |

### idmef_additional_data_copy_ref ()

    int         idmef_additional_data_copy_ref  (idmef_additional_data_t *src,
                                                 idmef_additional_data_t *dst);

`src` : |
`dst` : |
Returns : |

### idmef_additional_data_copy_dup ()

    int         idmef_additional_data_copy_dup  (idmef_additional_data_t *src,
                                                 idmef_additional_data_t *dst);

`src` : |
`dst` : |
Returns : |

### idmef_additional_data_get_real ()

    float       idmef_additional_data_get_real  (idmef_additional_data_t *data);

`data` : |
Returns : |

### idmef_additional_data_get_integer ()

    uint32_t    idmef_additional_data_get_integer
                                                (idmef_additional_data_t *data);

`data` : |
Returns : |

### idmef_additional_data_get_boolean ()

    prelude_bool_t idmef_additional_data_get_boolean
                                                (idmef_additional_data_t *data);

`data` : |
Returns : |

### idmef_additional_data_get_character ()

    char        idmef_additional_data_get_character
                                                (idmef_additional_data_t *data);

`data` : |
Returns : |

### idmef_additional_data_get_byte ()

    uint8_t     idmef_additional_data_get_byte  (idmef_additional_data_t *data);

`data` : |
Returns : |

### idmef_additional_data_get_len ()

    size_t      idmef_additional_data_get_len   (idmef_additional_data_t *data);

`data` : |
Returns : |

### idmef_additional_data_is_empty ()

    prelude_bool_t idmef_additional_data_is_empty
                                                (idmef_additional_data_t *data);

`data` : |
Returns : |

### idmef_additional_data_data_to_string ()

    int         idmef_additional_data_data_to_string
                                                (idmef_additional_data_t *ad,
                                                 prelude_string_t *out);

`ad` : |
`out` : |
Returns : |